【thinkphp6.0.8】thinkphp6.0.8安装workerman

直接贴文档的命令安装会报错,需指定3.0以上的版本,进入composer包官网:https://packagist.org,搜索 think-worker 可以看到

 

3.0以上版本才适合thinkphp6,并且它表示要安装一个 fileinfo 的php拓展,如果你用的是宝塔面板的话,可以这样安装:

 

 然后修改composer.json文件,加入一行:

 

 然后删掉 vendor 文件夹,执行 composer install

 

推荐这些文章:

【Socket传输文件】占用CPU高,求高手解决★●

问题
        //接受对方响应&发送文件        private void ReceiveResponseListening()        {            this.socketReceiveResponse.Liste...

thinkphp6 配置 workerman

正常安装

composer require topthink/think-worker`

 
如果出现异常 报错
 
 

"topthink/think-worker": "^3.0",

 

 
 
 在项目根目录下面的composer.json 文件中设置
之后 

composer install

 
如果还出现异常 忽略版本更新

composer install --ignore-platform-reqs

 
安装成功后
在项目路径下的cofing 文件下找到&nb...

phpstorm php-cs-fixer 格式化配置

不凡笔记:http://upwqy.com/?p=388
1、获取

直接下载:https://github.com/FriendsOfPHP/PHP-CS-Fixer/releases

通过composer安装 参见 第二步

2、安装
新建composer.json 文件
{       "require" :{               "...

Error fetching https://ruby.taobao.org/:RubySass淘宝镜源无效解决

移除掉rubygems.org

gem sources --remove https://rubygems.org/

添加镜像源

gem sources -a https://gems.ruby-china.com/

检查当前Source列表

gem sources

 
 
 
 
 

...

Ubuntu PHP Nginx composer laravel 安装详解

一. 序言
  疯掉了, 闲话少说. 
  根据之前的随笔, 直接用apt install 安装的PHP, Nginx 是现成的, 当然PHP 也有源码安装, 但是一些扩展安装起来很是麻烦, 索然安装上了, 但是就是不显示...
所以到后来, 还是用一键式安装的吧. 强迫症的稳稳, 忍忍.
  这是PHP 源码安装的网址, 可以尝试一下. 
http://php.net/manual/zh/install.unix.nginx.php
 
二. 安装需求
PHP, Nginx, composer
1. 前面两个我们已经安装完成, 只...

如何升级Cenos 7上的PHP版本

1. 安装 EPEL repo

root@gateway:~# yum install epel-release

 

2. 安装 remi-repo

root@gateway:~# yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm

 

  3.安装yum-util 

root@gateway:~# yum install yum-utils -y

 

  4.根据需要的P...

M1芯片 使用pod install 报错You may have encountered a bug in the Ruby interpreter or extension libraries. Bug reports are welcome. For details: https://www.ruby-lang.org/bugreport.html

问题如下图:

解决方案:
 终端cd到pod install 目录下执行
1)sudo arch -x86_64 gem install ffi

完成后再执行

2)arch -x86_64 pod install
 
 

...

composer安装提示分配不足

临时修改内存为不限制  (安装阿里云短信服务为例)
好像只适合linux系统

COMPOSER_MEMORY_LIMIT=-1 composer require alibabacloud/client

 
windows系统使用 (后面参数为composer的安装路径.)  注意: 路径要使用双引号

php -d memory_limit=-1 "D:\tools\phpstudy_pro\Extensions\php\php7.3.4nts\composer.phar" require alibabacloud/client

 
 ...

Laravel - 验证码(captcha)

1.登录网址 Packagist 或者中文 Packagist中文网 (p2hp.com) 查找 laravel captcha,

 

找到mews/captcha ,根据 packagist 上的使用方法一步步来实现验证码的安装。

composer 安装:composer require mews/captcha

 
 修改配置文件:config/app.php配置:配置provider信息,添加一行信息:

'providers'=> [ Mews\Captcha\CaptchaServicePro...

laradock的workspace下使用composer创建指定版本的laravel

-- 创建laravel 8

composer create-project laravel/laravel:^8.0 example-app

 
报错:
COMPOSER_AUTH" does not match the expected JSON schema, this may result in errors and should be resolved: - Boolean value found, but an object is required
 
在/var/www下执行 echo $COMPOSER_AUTH 返回 false
&nb...

文章标题:【thinkphp6.0.8】thinkphp6.0.8安装workerman
文章链接:https://www.dianjilingqu.com/51308.html
本文章来源于网络,版权归原作者所有,如果本站文章侵犯了您的权益,请联系我们删除,联系邮箱:saisai#email.cn,感谢支持理解。
THE END
< <上一篇
下一篇>>